Update a specific playbook by id
curl --request PUT \
--url https://api.rootly.com/v1/playbooks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "playbooks",
"attributes": {
"title": "<string>",
"summary": "<string>",
"external_url": "<string>",
"severity_ids": [
"<string>"
],
"environment_ids": [
"<string>"
],
"service_ids": [
"<string>"
],
"functionality_ids": [
"<string>"
],
"group_ids": [
"<string>"
],
"incident_type_ids": [
"<string>"
]
}
}
}
'{
"data": {
"id": "<string>",
"type": "playbooks",
"attributes": {
"title": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"summary": "<string>",
"external_url": "<string>",
"severity_ids": [
"<string>"
],
"environment_ids": [
"<string>"
],
"functionality_ids": [
"<string>"
],
"service_ids": [
"<string>"
],
"group_ids": [
"<string>"
],
"incident_type_ids": [
"<string>"
]
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
playbook updated
Show child attributes
Was this page helpful?
curl --request PUT \
--url https://api.rootly.com/v1/playbooks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "playbooks",
"attributes": {
"title": "<string>",
"summary": "<string>",
"external_url": "<string>",
"severity_ids": [
"<string>"
],
"environment_ids": [
"<string>"
],
"service_ids": [
"<string>"
],
"functionality_ids": [
"<string>"
],
"group_ids": [
"<string>"
],
"incident_type_ids": [
"<string>"
]
}
}
}
'{
"data": {
"id": "<string>",
"type": "playbooks",
"attributes": {
"title": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"summary": "<string>",
"external_url": "<string>",
"severity_ids": [
"<string>"
],
"environment_ids": [
"<string>"
],
"functionality_ids": [
"<string>"
],
"service_ids": [
"<string>"
],
"group_ids": [
"<string>"
],
"incident_type_ids": [
"<string>"
]
}
}
}